> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read merchant location

>  

Use this endpoint to get data on a specific merchant location. The `merchant_location_guid` can be found on `transaction` objects.


## OpenAPI

````yaml openapi/nexus/v1.yaml GET /merchant_locations/{merchant_location_guid}
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /merchant_locations/{merchant_location_guid}:
    get:
      tags:
        - merchants
      summary: Read merchant location
      description: >-
        Use this endpoint to get data on a specific merchant location. The
        `merchant_location_guid` can be found on `transaction` objects.
      operationId: readMerchantLocation
      parameters:
        - name: merchant_location_guid
          description: The unique identifier for the merchant. Defined by MX.
          example: MCL-c51b9d25-9733-4def-8929-2d5bb1b2b9f1
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/MerchantLocation'
components:
  schemas:
    MerchantLocation:
      properties:
        merchant_location:
          type: object
          properties:
            city:
              description: The city in which the merchant is located.
              type: string
              example: Staten Island
            country:
              description: The country in which the merchant is located.
              type: string
              example: United States
            created_at:
              description: >-
                Date and time the merchant location was created, represented in
                ISO 8601 format with timestamp (e.g.,
                2015-04-13T12:01:23-00:00).
              type: string
              format: date-time
              example: '2021-10-05T23:35:19+00:00'
            guid:
              description: The unique identifier for the merchant location. Defined by MX.
              type: string
              example: MCL-c51b9d25-9733-4def-8929-2d5bb1b2b9f1
            latitude:
              description: >-
                The latitude of the merchant location. This number is a signed
                decimal (e.g., Rio de Janeiro's latitude is -22.9027800 and
                Tokyo's latitude is 35.689488).
              type: number
              example: 40.5710098
            longitude:
              description: >-
                The longitude of the merchant location. This number is a signed
                decimal (e.g., Rio de Janeiro's longitude is -43.2075000 and
                Tokyo's longitude is 139.691706).
              type: number
              example: -74.1097041
            merchant_guid:
              description: >-
                The unique identifier for the merchant to which this location
                belongs. Defined by MX.
              type: string
              example: MCH-adb8a6ab-5e96-c4ef-22b3-beb0e7a79b3c
            phone_number:
              description: The phone number for the merchant location.
              type: string
              example: (917) 426-0321
            postal_code:
              description: The postal code in which the merchant is located.
              type: string
              example: '10306'
            region_code:
              description: >-
                The region in which the merchant is located; e.g., a U.S. state
                code such as UT.
              type: string
              example: NY
            street_address:
              description: The street address at which the merchant is located.
              type: string
              example: 2475 Hylan Blvd
            updated_at:
              description: >-
                Date and time the merchant record was updated, represented in
                ISO 8601 format with timestamp (e.g.,
                2015-04-13T12:01:23-00:00).
              type: string
              format: date-time
              example: '2021-10-05T23:35:19+00:00'
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````